org.fourthline.cling.android

## Class AndroidUpnpServiceImpl

- java.lang.Object
- - android.content.Context
  - - android.content.ContextWrapper
    - - android.app.Service
      - - org.fourthline.cling.android.AndroidUpnpServiceImpl

- All Implemented Interfaces:
    android.content.ComponentCallbacks, android.content.ComponentCallbacks2

      public class AndroidUpnpServiceImpl
      extends android.app.Service

  Provides a UPnP stack with Android configuration as an application service component.

  Sends a search for all UPnP devices on instantiation. See the `AndroidUpnpService` interface for a usage example.

  Override the `createRouter(org.fourthline.cling.UpnpServiceConfiguration, org.fourthline.cling.protocol.ProtocolFactory, android.content.Context)` and `createConfiguration()` methods to customize the service.
  Author:
    Christian Bauer

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `AndroidUpnpServiceImpl.Binder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AndroidUpnpServiceImpl.Binder` | `binder`
    `protected UpnpService` | `upnpService`

    - ### Fields inherited from class android.app.Service

      `START_CONTINUATION_MASK, START_FLAG_REDELIVERY, START_FLAG_RETRY, START_NOT_STICKY, START_REDELIVER_INTENT, START_STICKY, START_STICKY_COMPATIBILITY`

    - ### Fields inherited from class android.content.Context

      `ACCESSIBILITY_SERVICE, ACCOUNT_SERVICE, ACTIVITY_SERVICE, ALARM_SERVICE, AUDIO_SERVICE, BIND_ABOVE_CLIENT, BIND_ADJUST_WITH_ACTIVITY, BIND_ALLOW_OOM_MANAGEMENT, BIND_AUTO_CREATE, BIND_DEBUG_UNBIND, BIND_IMPORTANT, BIND_NOT_FOREGROUND, BIND_WAIVE_PRIORITY, CLIPBOARD_SERVICE, CONNECTIVITY_SERVICE, CONTEXT_IGNORE_SECURITY, CONTEXT_INCLUDE_CODE, CONTEXT_RESTRICTED, DEVICE_POLICY_SERVICE, DOWNLOAD_SERVICE, DROPBOX_SERVICE, INPUT_METHOD_SERVICE, KEYGUARD_SERVICE, LAYOUT_INFLATER_SERVICE, LOCATION_SERVICE, MODE_APPEND, MODE_MULTI_PROCESS, MODE_PRIVATE, MODE_WORLD_READABLE, MODE_WORLD_WRITEABLE, NFC_SERVICE, NOTIFICATION_SERVICE, POWER_SERVICE, SEARCH_SERVICE, SENSOR_SERVICE, STORAGE_SERVICE, TELEPHONY_SERVICE, TEXT_SERVICES_MANAGER_SERVICE, UI_MODE_SERVICE, USB_SERVICE, VIBRATOR_SERVICE, WALLPAPER_SERVICE, WIFI_P2P_SERVICE, WIFI_SERVICE, WINDOW_SERVICE`

    - ### Fields inherited from interface android.content.ComponentCallbacks2

      `TRIM_MEMORY_BACKGROUND, TRIM_MEMORY_COMPLETE, TRIM_MEMORY_MODERATE, TRIM_MEMORY_UI_HIDDEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AndroidUpnpServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected UpnpServiceConfiguration` | `createConfiguration()`
    `protected AndroidRouter` | `createRouter(UpnpServiceConfiguration configuration, ProtocolFactory protocolFactory, android.content.Context context)`
    `android.os.IBinder` | `onBind(android.content.Intent intent)`
    `void` | `onCreate()` Starts the UPnP service.
    `void` | `onDestroy()` Stops the UPnP service, when the last Activity unbinds from this Service.

    - ### Methods inherited from class android.app.Service

      `dump, getApplication, onConfigurationChanged, onLowMemory, onRebind, onStart, onStartCommand, onTaskRemoved, onTrimMemory, onUnbind, startForeground, stopForeground, stopSelf, stopSelf, stopSelfResult`

    - ### Methods inherited from class android.content.ContextWrapper

      `attachBaseContext, bindService, checkCallingOrSelfPermission, checkCallingOrSelfUriPermission, checkCallingPermission, checkCallingUriPermission, checkPermission, checkUriPermission, checkUriPermission, clearWallpaper, createPackageContext, databaseList, deleteDatabase, deleteFile, enforceCallingOrSelfPermission, enforceCallingOrSelfUriPermission, enforceCallingPermission, enforceCallingUriPermission, enforcePermission, enforceUriPermission, enforceUriPermission, fileList, getApplicationContext, getApplicationInfo, getAssets, getBaseContext, getCacheDir, getClassLoader, getContentResolver, getDatabasePath, getDir, getExternalCacheDir, getExternalFilesDir, getFilesDir, getFileStreamPath, getMainLooper, getObbDir, getPackageCodePath, getPackageManager, getPackageName, getPackageResourcePath, getResources, getSharedPreferences, getSystemService, getTheme, getWallpaper, getWallpaperDesiredMinimumHeight, getWallpaperDesiredMinimumWidth, grantUriPermission, isRestricted, openFileInput, openFileOutput, openOrCreateDatabase, openOrCreateDatabase, peekWallpaper, registerReceiver, registerReceiver, removeStickyBroadcast, revokeUriPermission, sendBroadcast, sendBroadcast, sendOrderedBroadcast, sendOrderedBroadcast, sendStickyBroadcast, sendStickyOrderedBroadcast, setTheme, setWallpaper, setWallpaper, startActivities, startActivity, startInstrumentation, startIntentSender, startService, stopService, unbindService, unregisterReceiver`

    - ### Methods inherited from class android.content.Context

      `getString, getString, getText, obtainStyledAttributes, obtainStyledAttributes, obtainStyledAttributes, obtainStyledAttributes, registerComponentCallbacks, unregisterComponentCallbacks`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### upnpService

          protected UpnpService upnpService

    - #### binder

          protected AndroidUpnpServiceImpl.Binder binder

  - ### Constructor Detail

    - #### AndroidUpnpServiceImpl

          public AndroidUpnpServiceImpl()

  - ### Method Detail

    - #### onCreate

          public void onCreate()

      Starts the UPnP service.
      Overrides:
        `onCreate` in class `android.app.Service`

    - #### createConfiguration

          protected UpnpServiceConfiguration createConfiguration()

    - #### createRouter

          protected AndroidRouter createRouter(UpnpServiceConfiguration configuration,
                                   ProtocolFactory protocolFactory,
                                   android.content.Context context)

    - #### onBind

          public android.os.IBinder onBind(android.content.Intent intent)

      Specified by:
        `onBind` in class `android.app.Service`

    - #### onDestroy

          public void onDestroy()

      Stops the UPnP service, when the last Activity unbinds from this Service.
      Overrides:
        `onDestroy` in class `android.app.Service`

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.